Package org.eclipse.net4j.util.om.monitor

## Class EclipseMonitor.SynchronizedSubProgressMonitor

- java.lang.Object
- - org.eclipse.core.runtime.ProgressMonitorWrapper
  - - org.eclipse.core.runtime.SubProgressMonitor
    - - org.eclipse.net4j.util.om.monitor.SubProgressMonitor
      - - org.eclipse.net4j.util.om.monitor.EclipseMonitor.SynchronizedSubProgressMonitor

- All Implemented Interfaces:
    `IProgressMonitor`, `IProgressMonitorWithBlocking`
  Enclosing class:
    EclipseMonitor

      public static class EclipseMonitor.SynchronizedSubProgressMonitor
      extends SubProgressMonitor

  A sub progress monitor that synchronizes all methods on the parent monitor instance.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.core.runtime.SubProgressMonitor

      `PREPEND_MAIN_LABEL_TO_SUBTASK, SUPPRESS_SUBTASK_LABEL`

    - ### Fields inherited from interface org.eclipse.core.runtime.IProgressMonitor

      `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynchronizedSubProgressMonitor​(IProgressMonitor monitor, int ticks)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beginTask​(java.lang.String name, int totalWork)` |
    `void` | `clearBlocked()` |
    `void` | `done()` |
    `void` | `internalWorked​(double work)` |
    `boolean` | `isCanceled()` |
    `void` | `setBlocked​(IStatus reason)` |
    `void` | `setCanceled​(boolean b)` |
    `void` | `setTaskName​(java.lang.String name)` |
    `void` | `subTask​(java.lang.String name)` |
    `void` | `worked​(int work)` |

    - ### Methods inherited from class org.eclipse.core.runtime.ProgressMonitorWrapper

      `getWrappedProgressMonitor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.core.runtime.IProgressMonitor

      `slice`

- - ### Constructor Detail

    - #### SynchronizedSubProgressMonitor

          public SynchronizedSubProgressMonitor​(IProgressMonitor monitor,
                                                int ticks)

  - ### Method Detail

    - #### beginTask

          public void beginTask​(java.lang.String name,
                                int totalWork)

      Specified by:
        `beginTask` in interface `IProgressMonitor`
      Overrides:
        `beginTask` in class `SubProgressMonitor`

    - #### clearBlocked

          public void clearBlocked()

      Specified by:
        `clearBlocked` in interface `IProgressMonitor`
      Overrides:
        `clearBlocked` in class `ProgressMonitorWrapper`

    - #### done

          public void done()

      Specified by:
        `done` in interface `IProgressMonitor`
      Overrides:
        `done` in class `SubProgressMonitor`

    - #### internalWorked

          public void internalWorked​(double work)

      Specified by:
        `internalWorked` in interface `IProgressMonitor`
      Overrides:
        `internalWorked` in class `SubProgressMonitor`

    - #### isCanceled

          public boolean isCanceled()

      Specified by:
        `isCanceled` in interface `IProgressMonitor`
      Overrides:
        `isCanceled` in class `ProgressMonitorWrapper`

    - #### setBlocked

          public void setBlocked​(IStatus reason)

      Specified by:
        `setBlocked` in interface `IProgressMonitor`
      Overrides:
        `setBlocked` in class `ProgressMonitorWrapper`

    - #### setCanceled

          public void setCanceled​(boolean b)

      Specified by:
        `setCanceled` in interface `IProgressMonitor`
      Overrides:
        `setCanceled` in class `ProgressMonitorWrapper`

    - #### setTaskName

          public void setTaskName​(java.lang.String name)

      Specified by:
        `setTaskName` in interface `IProgressMonitor`
      Overrides:
        `setTaskName` in class `ProgressMonitorWrapper`

    - #### subTask

          public void subTask​(java.lang.String name)

      Specified by:
        `subTask` in interface `IProgressMonitor`
      Overrides:
        `subTask` in class `SubProgressMonitor`

    - #### worked

          public void worked​(int work)

      Specified by:
        `worked` in interface `IProgressMonitor`
      Overrides:
        `worked` in class `SubProgressMonitor`